Published on logseq marketplace. 

# Logseq Column-Layout Plugin
 - Journals, linked references, and journal queries can be placed side by side if the minimum screen width is "1850px" or more.
 
 ![スクリーンショット 2022-10-14 0207414](https://user-images.githubusercontent.com/111847207/195663729-7c979e9e-9309-4f0b-9766-581778c5aaa7.png)

## How to
### Journals 📚
 - If you use the reference function and write the timeline, it is also effective as a log.
 - Press ⌨️「cmd(win)」+「alt」 at the same time to get the reference by mouse dragging.

![スクリーンショット 2022-10-14 0207412](https://user-images.githubusercontent.com/111847207/195662824-35aecadd-c404-42a8-82eb-54ffc628c321.png)

### Linked Reference
#### Suitable for [Logseq-Omnivore plugin](https://github.com/omnivore-app/logseq-omnivore) 🚩
- Omnivore is a **webclipping tool** that can be quoted to Logseq.
- You can see the table of contents of the web clips next to the journal, so it's easy to access.
- You can get newsletter notifications from substack.com and others on Logseq.
#### As a list for inclusion in the next journal 📅
 - Use [Logseq datenlp plugin](https://github.com/hkgnp/logseq-datenlp-plugin). Add @tomorrow or read past journals and add @today. They become links.
 #### You can view completed tasks. ✅
 - Try using [Logseq task completion tracker plugin](https://github.com/DimitryDushkin/logseq-plugin-task-check-date).
#### You can link a reference and delete a block from the right-click context menu. 🖱️
 - [For more details refer to this link](https://github.com/YU000jp/logseq-repeat-task-reference/blob/main/README.md).

![context](https://user-images.githubusercontent.com/111847207/196365538-e482a4a8-be75-4d93-9664-2e5a99c71e34.png)

### Journal Queries
 - Change the journal query to get more task management.
 - On Logseq, edit config.edn file. [For more details refer to this link](https://github.com/YU000jp/Logseq-default-queries-journals)

[change-config.webm](https://user-images.githubusercontent.com/111847207/197364897-4455e943-79a8-4dbe-97d5-5a9ae97ca51a.webm)

### Right Sidebar
 - Pages can be placed side by side in the sidebar.(Credit: [Logseq Vertical Panels for Sidebar](https://github.com/r-hegde/logseq-vertical-panels))
 - You can adjust the size by selecting the bottom right of the block. But don't make it too small.
 - Changed not to display page-tags and Hierarchy in the right sidebar. Clearly display the right sidebar.
 - If you have an ultrawide monitor, or if you want to display multiple screens side by side, you can display several pages side by side in right sidebar.
 
[sidebar.webm](https://user-images.githubusercontent.com/111847207/197365040-62f13573-0926-4768-80a2-13a6604123dc.webm)

## Attention⚠️
 - the screen min-width: 1850px
 - Some plugins are not supported. (Let me know on [GitHub](https://github.com/YU000jp/Logseq-column-Layout/issues).)
 - The Linked Reference space is blank if there are no tasks in Logseq.
 - Linked reference from journal are limited to dates other than today.

### The page other than journals
 - display "page-tags" and "page-hierarchy" ([logseq page-tags and hierarchy plugin](https://github.com/YU000jp/logseq-page-tags-and-hierarchy))
 - "Linked References" side by side (only Wide-mode). If the display space is small, hold down ⌨️"Shift" and click to open it in the right sidebar.
 - Wide mode(⌨️shortcut: 「**tw**」) is recommended if you want to use Linked References side by side. Journals will be left justified.
 
![スクリーンショット 2022-10-02 102232](https://user-images.githubusercontent.com/111847207/193434026-5595de15-2e40-42a2-95d4-ab0f1c2b55c3.png)


---
 

## SUPPORT
 <a href="https://www.buymeacoffee.com/yu000japan" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" alt="Buy Me A Coffee" style="height: 60px !important;width: 217px !important;" ></a>
 
